
# norootforbuild

Name:           open-xchange-axis2
BuildArch:	noarch
#!BuildIgnore: post-build-checks
BuildRequires:  ant open-xchange-common >= 6.20.7.0 open-xchange-server >= 6.20.7.0 perl
%if 0%{?suse_version} && 0%{?sles_version} < 11
%if %{?suse_version} <= 1010
# SLES10
BuildRequires:  java-1_5_0-ibm >= 1.5.0_sr9
BuildRequires:  java-1_5_0-ibm-devel >= 1.5.0_sr9
BuildRequires:  java-1_5_0-ibm-alsa >= 1.5.0_sr9
BuildRequires:  update-alternatives
%endif
%if %{?suse_version} >= 1100
BuildRequires:  java-sdk-openjdk
%endif
%if %{?suse_version} > 1010 && %{?suse_version} < 1100
BuildRequires:  java-sdk-1.5.0-sun
%endif
%endif
%if 0%{?sles_version} >= 11
# SLES11 or higher
BuildRequires:  java-1_6_0-ibm-devel
%endif

%if 0%{?rhel_version}
# libgcj seems to be installed whether we want or not and libgcj needs cairo
BuildRequires:  java-sdk-sun cairo
%endif
%if 0%{?fedora_version}
%if %{?fedora_version} > 8
BuildRequires:  java-1.6.0-openjdk-devel saxon
%endif
%endif
%if 0%{?centos_version}
BuildRequires:  java-1.6.0-openjdk-devel
%endif
Version:	6.20.7.0
%define		ox_release 15
Release:	%{ox_release}_<CI_CNT>.<B_CNT>
Group:          Applications/Productivity
License:        GNU General Public License (GPL)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#URL:            
Source:         %{name}_%{version}.orig.tar.gz
Summary:        The Open-Xchange Axis2 Bundle
Requires:       open-xchange-server >= 6.20.7.0
#

%description
The Open-Xchange Axis2 Bundle

Authors:
--------
    Open-Xchange

%prep
%setup -q

%build


%install
export NO_BRP_CHECK_BYTECODE_VERSION=true

ant -Ddestdir=%{buildroot} -Dprefix=/opt/open-xchange install doc

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /opt/open-xchange/bundles
%dir /opt/open-xchange/etc/groupware/osgi/bundle.d
%dir /opt/open-xchange/etc/groupware
/opt/open-xchange/bundles/*
/opt/open-xchange/etc/groupware/osgi/bundle.d/*
/opt/open-xchange/bundles/com.openexchange.axis2/lib
/opt/open-xchange/bundles/com.openexchange.axis2/modules
%dir /opt/open-xchange/bundles/com.openexchange.axis2/services
/opt/open-xchange/bundles/com.openexchange.axis2/META-INF
/opt/open-xchange/bundles/com.openexchange.axis2/com.openexchange.axis2.jar
%config(noreplace) /opt/open-xchange/etc/groupware/axis2.properties
%doc docs
%changelog
* Fri May 04 2012 - choeger@open-xchange.com
 - Bugfix #22087: [L3] axis2 configuration points to false OX/Apache ports
* Wed Feb 29 2012 - choeger@open-xchange.com
 - Bugfix #21670: [L3] https and soap does not work after update
* Wed Nov 23 2011 - choeger@open-xchange.com
 - SoftwareChange_Request-841/Bugfix #20308: axis2 generated wsdl expects talks
   about Date but expects DateTime.
 - Updated axis2 to the latest stable 1.5 version (1.5.6)
* Tue Mar 01 2011 - marcus.klein@open-xchange.com
 - Bugfix #18465: Compiling sources everywhere to Java5 compatible class files.
* Tue Sep 28 2010 - choeger@open-xchange.com
 - Bugfix #17048: Provisioning via SOAP broken
* Mon Jul 27 2009 - marcus.klein@open-xchange.com
 - Bugfix #14213: Setting configuration file permissions to reduce readability to OX processes.
* Thu Nov 13 2008 - dennis.sieben@open-xchange.com
 - Bugfix #12526: Replaced axis jar by a new version which fixes this issue
